<?php require("includes/connection.inc.php")?>
<?php require("includes/header.inc.php")?>  
  
  <div data-role="content">
    <h2 class="ui-body ui-body-a ui-corner-all">EMPLOYEE REGISTRATION</h2>
<?php
print "<p>Register for benefits</p>";
// Check to see if the form has been submitted:
if (isset($_POST["submitted"]) ) 
{
$missingField = FALSE; // Set $missingField FLAG  to TRUE if "if" statement is TRUE.
// Check each form variable to see if any one is empty
  if (empty($_POST["first_name"]) && isset($_POST["first_name"]))
  {
    $missingField = TRUE;
    print '<p class="error">Please enter your first name!</p>';
  }
 
 if (empty($_POST["last_name"]))
  {
    $missingField = TRUE;
    print '<p class="error">Please enter your last name!</p>';
  }

  if (empty($_POST["email"]))
  {
    $missingField = TRUE;
    print '<p class="error">Please enter your email!</p>';
  }
  
  if (empty($_POST["password1"])) 
{
 $missingField = TRUE;
 print '<p class="error">Please enter a password!</p>';
}

if ($_POST["password1"] != $_POST["password2"])
{
 $missingField = TRUE;
 print '<p class="error">Your password did not match your confirmed password!</p>';
} 

if (!$missingField) 
{
 print "<p>You are now registered!<br />Okay, you are not really registered but...</p>"; 
 // Clear posted values by emptying the $_POST array
 $_POST = array(); 
} 
  
  
  
  
  
}
?> 
<!-- The form is created OUTSIDE of the conditional statement so that it will ALWAYS be displayed. -->
<div class="ui-body ui-body-a ui-corner-all">
  <form action="employee_registration.php" method="post">
  <p>First Name: <input type="text" name="first_name" size="20" data-mini="true" 
  value="<?php if (isset($_POST["first_name"])) {print htmlspecialchars($_POST["first_name"]);} ?>"/></p>
  <p>Last Name: <input type="text" name="last_name" size="20" data-mini="true"
  value="<?php if (isset($_POST["last_name"])) {print htmlspecialchars($_POST["last_name"]);} ?>"/></p>
  <p>Email Address: <input type="text" name="email" size="20" data-mini="true"
  value="<?php if (isset($_POST["email"])) {print htmlspecialchars($_POST["email"]);} ?>"/></p>
  <p>Password: <input type="password" name="password1" size="20"data-mini="true"/></p>
  <p>Re-enter Password: <input type="password" name="password2" size="20" data-mini="true"/></p>
  <p><input type="submit" name="submit" value="REGISTER" data-inline="true" data-mini="true"/></p>
  <input type="hidden" name="submitted" value="true" />
  </form>
</div>	
  </div>
  
<?php require("includes/footer.inc.php")?>